> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/v3.0/wisej.web/enumerations/wisej.web.boundsspecified.md).

# BoundsSpecified

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (3.0.0.0)

Specifies the bounds of the control to use when defining a control's size and position.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum BoundsSpecified : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum BoundsSpecified As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name         | Description                                                                                                                                                        |
| ------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **All**      | Both [Location](/api/v3.0/wisej.web/general/control.md#location) and [Size](/api/v3.0/wisej.web/general/control.md#size) property values are defined.              |
| **Height**   | The height of the control is defined.                                                                                                                              |
| **Location** | Both X and Y coordinates of the control are defined.                                                                                                               |
| **None**     | No bounds are specified.                                                                                                                                           |
| **Size**     | Both [Width](/api/v3.0/wisej.web/general/control.md#width) and [Height](/api/v3.0/wisej.web/general/control.md#height) property values of the control are defined. |
| **Width**    | The width of the control is defined.                                                                                                                               |
| **X**        | The left edge of the control is defined.                                                                                                                           |
| **Y**        | The top edge of the control is defined.                                                                                                                            |

## Used By

| Name                                                                                                                                                                          | Description                                                                  |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------- |
| [Control.SetBounds](/api/v3.0/wisej.web/general/control.md#setbounds-x-y-width-height)                                                                                        | Sets the specified bounds of the control to the specified location and size. |
| [LayoutEngine.InitLayout](https://github.com/iceteagroup/wisej-docs-api/blob/v3.0/wisej.web.layout/containers/layoutengine/layoutengine/README.md#initlayout-child-specified) | Initializes the layout engine.                                               |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/v3.0/wisej.web/enumerations/wisej.web.boundsspecified.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
